package com.ruoyi.project.business.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.ruoyi.project.business.domain.TpAreaBasicPrice;
import com.ruoyi.project.business.domain.TpAreaOptionalPara;

import java.util.List;

/**
 * 【请填写功能名称】Service接口
 * 
 * @author ruoyi
 * @date 2024-05-28
 */
public interface ITpAreaOptionalParaService extends IService<TpAreaOptionalPara>
{
    /**
     * 查询【请填写功能名称】
     * 
     * @param id 【请填写功能名称】主键
     * @return 【请填写功能名称】
     */
    public TpAreaOptionalPara selectTpAreaOptionalParaById(Long id);

    /**
     * 查询【请填写功能名称】列表
     * 
     * @param tpAreaOptionalPara 【请填写功能名称】
     * @return 【请填写功能名称】集合
     */
    public List<TpAreaOptionalPara> selectTpAreaOptionalParaList(TpAreaOptionalPara tpAreaOptionalPara);

    /**
     * 新增【请填写功能名称】
     * 
     * @param tpAreaOptionalPara 【请填写功能名称】
     * @return 结果
     */
    public int insertTpAreaOptionalPara(TpAreaOptionalPara tpAreaOptionalPara);

    /**
     * 修改【请填写功能名称】
     * 
     * @param tpAreaOptionalPara 【请填写功能名称】
     * @return 结果
     */
    public int updateTpAreaOptionalPara(TpAreaOptionalPara tpAreaOptionalPara);

    /**
     * 批量删除【请填写功能名称】
     * 
     * @param ids 需要删除的【请填写功能名称】主键集合
     * @return 结果
     */
    public int deleteTpAreaOptionalParaByIds(Long[] ids);

    /**
     * 删除【请填写功能名称】信息
     * 
     * @param id 【请填写功能名称】主键
     * @return 结果
     */
    public int deleteTpAreaOptionalParaById(Long id);

    void deleteTpAreaOptionalParaByElevatorModelId(Long id);

    List<TpAreaOptionalPara> getOptionParaSelection(Long id);
}
